Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Create collection
        • Delete collection
        • Delete collections
        • Get collection breadcrumbs
        • Get collection
        • Get collections list by ids
        • Get collection content
        • Get root collection permissions
        • Move collection
        • Move collections
        • Update collection
        • Update collection access bindings
        • List collection access bindings
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • IamAccessBinding
  • IamSubjectWithBindings
  1. DataLens Public API
  2. DataLens API
  3. Collection
  4. List collection access bindings
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • IamAccessBinding
    • IamSubjectWithBindings

List collection access bindings

Lists access bindings for the specified collection.

RequestRequest

POST

https://api.datalens.tech/rpc/listCollectionAccessBindings

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "collectionId": "example",
  "getInheritedBindings": true,
  "pageSize": 0.5,
  "pageToken": "example"
}

Name

Description

collectionId

Type: string

ID of the collection whose access bindings to retrieve.

Example: example

getInheritedBindings

Type: boolean

Include access bindings inherited from parent resources.

pageSize

Type: number

Maximum number of subjects to return.

pageToken

Type: string

Token for retrieving the next page of results.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "subjectsWithBindings": [
    {
      "subjectClaims": {
        "sub": "example",
        "subType": "SUBJECT_TYPE_UNSPECIFIED",
        "email": "example"
      },
      "accessBindings": [
        {
          "roleId": "example",
          "inheritedFrom": {}
        }
      ],
      "inheritedAccessBindings": [
        null
      ]
    }
  ],
  "nextPageToken": "example"
}

Name

Description

nextPageToken

Type: string

Token for retrieving the next page of results.

Example: example

subjectsWithBindings

Type: IamSubjectWithBindings[]

Subjects and their access bindings.

Example
[
  {
    "subjectClaims": {
      "sub": "example",
      "subType": "SUBJECT_TYPE_UNSPECIFIED",
      "email": "example"
    },
    "accessBindings": [
      {
        "roleId": "example",
        "inheritedFrom": {
          "id": "example",
          "type": "example"
        }
      }
    ],
    "inheritedAccessBindings": [
      null
    ]
  }
]

IamAccessBindingIamAccessBinding

Name

Description

inheritedFrom

Type: object | null

Resource from which the access binding is inherited.

Example
{
  "id": "example",
  "type": "example"
}

roleId

Type: string

ID of the role assigned to the subject.

Example: example

Example
{
  "roleId": "example",
  "inheritedFrom": {
    "id": "example",
    "type": "example"
  }
}

IamSubjectWithBindingsIamSubjectWithBindings

Name

Description

accessBindings

Type: IamAccessBinding[]

Access bindings assigned directly to the subject.

Example
[
  {
    "roleId": "example",
    "inheritedFrom": {
      "id": "example",
      "type": "example"
    }
  }
]

inheritedAccessBindings

Type: IamAccessBinding[]

Access bindings inherited by the subject.

Example
[
  {
    "roleId": "example",
    "inheritedFrom": {
      "id": "example",
      "type": "example"
    }
  }
]

subjectClaims

Type: object

email

Type: string

Email address of the subject.

Example: example

sub

Type: string

Unique identifier of the subject.

Example: example

subType

Type: string

Type of the subject.

Enum: SUBJECT_TYPE_UNSPECIFIED, USER_ACCOUNT, SERVICE_ACCOUNT, GROUP, INVITEE

Subject details.

Example
{
  "sub": "example",
  "subType": "SUBJECT_TYPE_UNSPECIFIED",
  "email": "example"
}
Example
{
  "subjectClaims": {
    "sub": "example",
    "subType": "SUBJECT_TYPE_UNSPECIFIED",
    "email": "example"
  },
  "accessBindings": [
    {
      "roleId": "example",
      "inheritedFrom": {
        "id": "example",
        "type": "example"
      }
    }
  ],
  "inheritedAccessBindings": [
    null
  ]
}

Was the article helpful?

Previous
Update collection access bindings
Next
Overview
© 2026 Direct Cursus Technology L.L.C.